Subject: Re: bug#30141: (26.0.91; text-pixel dimensions not properly saved by desktop-save-mode sometimes)

From: martin rudalics <[email-masked]>
Date: Wed, 14 Mar 2018 09:14:03 +0100

>> We could provide a 'resize-pixelwise' frame parameter which would
 >> assure that saving is done in pixels for the corresponding frame.
 >> Would that help?
 >
 > Yes, that would work for me. So then setting that frame-parameter
 > would be manual and separate from setting `frame-resize-pixelwise'?

When creating a frame we could make the parameter inherit from the
current value of `frame-resize-pixelwise' unless the parameter has
been specified explicitly for the new frame.  But unless we can find a
sufficiently strong reason for implementing such a parameter, it might
be better to pursue your proposal first.  This would avoid that we
have to introduce a function like `frame-resize-pixelwise' which tells
for a specific frame whether it should be resized pixelwise or not.

martin